%define _installdir /opt/maven/

Name:           apache-maven
Version:        3.2.5
Release:        4%{?dist}
Summary:        Apache Maven software project management and comprehension tool.
License:        Apachev2+
URL:            http://maven.apache.org/
Group:          Development/Build Tools
Source0:        apache-maven-%{version}.tar.gz
Requires:       java >= 1.6.0
BuildRoot:      %{mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX}

%description
Apache Maven is a software project management and comprehension tool. 
Based on the concept of a project object model (POM), Maven can manage a project's build, reporting and documentation from a central piece of information.

%prep
%setup -q -n apache-maven-%{version}

%build

%install
rm LICENSE
rm NOTICE
rm README.txt
mkdir -p %{buildroot}/%{_installdir}
mv bin boot conf lib %{buildroot}/%{_installdir}

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_installdir}/bin/m2.conf
%{_installdir}/bin/mvn
%{_installdir}/bin/mvn.bat
%{_installdir}/bin/mvnDebug
%{_installdir}/bin/mvnDebug.bat
%{_installdir}/bin/mvnyjp
%{_installdir}/boot/plexus-classworlds-2.5.2.jar
%{_installdir}/conf/logging/simplelogger.properties
%{_installdir}/conf/settings.xml
%{_installdir}/lib/aether-api-1.0.0.v20140518.jar
%{_installdir}/lib/aether-api.license
%{_installdir}/lib/aether-connector-basic-1.0.0.v20140518.jar
%{_installdir}/lib/aether-connector-basic.license
%{_installdir}/lib/aether-impl-1.0.0.v20140518.jar
%{_installdir}/lib/aether-impl.license
%{_installdir}/lib/aether-spi-1.0.0.v20140518.jar
%{_installdir}/lib/aether-spi.license
%{_installdir}/lib/aether-transport-wagon-1.0.0.v20140518.jar
%{_installdir}/lib/aether-transport-wagon.license
%{_installdir}/lib/aether-util-1.0.0.v20140518.jar
%{_installdir}/lib/aether-util.license
%{_installdir}/lib/aopalliance-1.0.jar
%{_installdir}/lib/cdi-api-1.0.jar
%{_installdir}/lib/cdi-api.license
%{_installdir}/lib/commons-cli-1.2.jar
%{_installdir}/lib/commons-io-2.2.jar
%{_installdir}/lib/commons-lang-2.6.jar
%{_installdir}/lib/ext/README.txt
%{_installdir}/lib/guava-18.0.jar
%{_installdir}/lib/javax.inject-1.jar
%{_installdir}/lib/jsoup-1.7.2.jar
%{_installdir}/lib/jsoup.license
%{_installdir}/lib/jsr250-api-1.0.jar
%{_installdir}/lib/maven-aether-provider-3.2.5.jar
%{_installdir}/lib/maven-aether-provider.license
%{_installdir}/lib/maven-artifact-3.2.5.jar
%{_installdir}/lib/maven-artifact.license
%{_installdir}/lib/maven-compat-3.2.5.jar
%{_installdir}/lib/maven-compat.license
%{_installdir}/lib/maven-core-3.2.5.jar
%{_installdir}/lib/maven-core.license
%{_installdir}/lib/maven-embedder-3.2.5.jar
%{_installdir}/lib/maven-embedder.license
%{_installdir}/lib/maven-model-3.2.5.jar
%{_installdir}/lib/maven-model-builder-3.2.5.jar
%{_installdir}/lib/maven-model-builder.license
%{_installdir}/lib/maven-model.license
%{_installdir}/lib/maven-plugin-api-3.2.5.jar
%{_installdir}/lib/maven-plugin-api.license
%{_installdir}/lib/maven-repository-metadata-3.2.5.jar
%{_installdir}/lib/maven-repository-metadata.license
%{_installdir}/lib/maven-settings-3.2.5.jar
%{_installdir}/lib/maven-settings-builder-3.2.5.jar
%{_installdir}/lib/maven-settings-builder.license
%{_installdir}/lib/maven-settings.license
%{_installdir}/lib/org.eclipse.sisu.inject-0.3.0.M1.jar
%{_installdir}/lib/org.eclipse.sisu.inject.license
%{_installdir}/lib/org.eclipse.sisu.plexus-0.3.0.M1.jar
%{_installdir}/lib/org.eclipse.sisu.plexus.license
%{_installdir}/lib/plexus-cipher-1.7.jar
%{_installdir}/lib/plexus-cipher.license
%{_installdir}/lib/plexus-component-annotations-1.5.5.jar
%{_installdir}/lib/plexus-interpolation-1.21.jar
%{_installdir}/lib/plexus-sec-dispatcher-1.3.jar
%{_installdir}/lib/plexus-sec-dispatcher.license
%{_installdir}/lib/plexus-utils-3.0.20.jar
%{_installdir}/lib/sisu-guice-3.2.3-no_aop.jar
%{_installdir}/lib/slf4j-api-1.7.5.jar
%{_installdir}/lib/slf4j-api.license
%{_installdir}/lib/slf4j-simple-1.7.5.jar
%{_installdir}/lib/slf4j-simple.license
%{_installdir}/lib/wagon-file-2.8.jar
%{_installdir}/lib/wagon-file.license
%{_installdir}/lib/wagon-http-2.8-shaded.jar
%{_installdir}/lib/wagon-http-shared-2.8.jar
%{_installdir}/lib/wagon-http-shared.license
%{_installdir}/lib/wagon-http.license
%{_installdir}/lib/wagon-provider-api-2.8.jar
%{_installdir}/lib/wagon-provider-api.license

%changelog
* Mon Jan 12 2015 Kaitlin Poskaitis <katiepru@nbcs.rutgers.edu> - 3.2.5-4.ru6
- Packaging compiled jars

* Fri Jan 09 2015 Ryan Morey <rtm100@nbcs.rutgers.edu> - 3.2.5-3.ru6
- Made it use ant

* Thu Jan 08 2015 Sakib Jalal <sfj19@nbcs.rutgers.edu> - 3.2.5-2.ru6
- Bumped release to fix broken dependencies (no jdk on omachi)

* Thu Jan 08 2015 Sakib Jalal <sfj19@nbcs.rutgers.edu> - 3.2.5-1.ru6
- First release for Rutgers.


